/*
 * Dayona
 * Created on Thu May 26 2022
 * email : dayonaart@gmail.com
 * Copyright (c) 2022
 */

import 'package:new_device_info/new_device_info_method_channel.dart';
import 'new_device_info_platform_interface.dart';

class NewDeviceInfo {
  /// This method will return
  /// - IP public device
  /// - Device model or brand
  /// - Device OS version
  /// - Your App version code
  /// - Your App build code
  Future<DevicesInfoModel?> getDevicesProperties() {
    return NewDeviceInfoPlatform.instance.getProperties();
  }

  /// This method will return
  /// - Your device IP public
  Future<String?> getPublicIp() {
    return NewDeviceInfoPlatform.instance.getPublicIp();
  }
}
