import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:new_device_info/new_device_info_method_channel.dart';

void main() {
  MethodChannelNewDeviceInfo platform = MethodChannelNewDeviceInfo();
  const MethodChannel channel = MethodChannel('new_device_info');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getProperties', () async {
    expect(await platform.getProperties(), null);
  });
  test('getPublicIp', () async {
    expect(await platform.getPublicIp(), null);
  });
}
